Skip to main content
GET
/
organization
/
{organizationId}
/
invoice
/
{invoiceId}
/
download
Get invoice link
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/invoice/{invoiceId}/download \
  --header 'Authorization: Bearer <token>'
{
  "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "service_type": "APPLICATION",
  "url": "<string>",
  "internal_port": 123,
  "external_port": 123,
  "is_qovery_domain": true,
  "is_default": true
}

Documentation Index

Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

invoiceId
string<uuid>
required

Invoice ID

Response

Get invoice PDF

service_id
string<uuid>
required

ID of the associated service

service_type
enum<string>
required

type of the service (application, database, job, ...)

Available options:
APPLICATION,
DATABASE,
CONTAINER,
JOB,
HELM,
TERRAFORM
url
string
required

URL to access the service

internal_port
integer
required

The port from which the service is reachable from within the cluster

external_port
integer
required

The port from which the service is reachable from externally (i.e: 443 for HTTPS)

is_qovery_domain
boolean
required

True if the domain is managed by Qovery, false if it belongs to the user

is_default
boolean
required

Indicate if the link is using the root of the domain and not one derivated from port i.e: p8080.zxxxx.jvm.worl => is_default = false, is_qovery = true zxxxx.jvm.world => is_default = true, is_qovery = true p8080-my-super-domain.com => is_default = false, is_qovery = false my-super-domain.com => is_default = true, is_qovery = false